

기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.

# GetRecoveryPointIndexDetails
<a name="API_GetRecoveryPointIndexDetails"></a>

이 작업은 지정된 복구 시점과 연결된 백업 인덱스와 관련된 메타데이터 및 세부 정보를 반환합니다.

## Request Syntax
<a name="API_GetRecoveryPointIndexDetails_RequestSyntax"></a>

```
GET /backup-vaults/backupVaultName/recovery-points/recoveryPointArn/index HTTP/1.1
```

## URI 요청 파라미터
<a name="API_GetRecoveryPointIndexDetails_RequestParameters"></a>

요청은 다음 URI 파라미터를 사용합니다.

 ** [backupVaultName](#API_GetRecoveryPointIndexDetails_RequestSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-request-uri-BackupVaultName"></a>
백업이 저장되는 논리 컨테이너의 이름입니다. 백업 저장소는 백업 저장소가 생성된 리전 및 백업 저장소를 생성하는 데 사용된 계정에 고유 이름으로 식별됩니다.  
허용되는 문자에는 소문자, 숫자, 하이픈이 포함됩니다.  
패턴: `^[a-zA-Z0-9\-\_]{2,50}$`   
필수 여부: 예

 ** [recoveryPointArn](#API_GetRecoveryPointIndexDetails_RequestSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-request-uri-RecoveryPointArn"></a>
복구 시점을 고유하게 식별하는 ARN입니다(예: `arn:aws:backup:us-east-1:123456789012:recovery-point:1EB3B5E7-9EB0-435A-A80B-108B488B0D45`).  
필수 항목 여부: 예

## Request Body
<a name="API_GetRecoveryPointIndexDetails_RequestBody"></a>

해당 요청에는 본문이 없습니다.

## Response Syntax
<a name="API_GetRecoveryPointIndexDetails_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "BackupVaultArn": "string",
   "IndexCompletionDate": number,
   "IndexCreationDate": number,
   "IndexDeletionDate": number,
   "IndexStatus": "string",
   "IndexStatusMessage": "string",
   "RecoveryPointArn": "string",
   "SourceResourceArn": "string",
   "TotalItemsIndexed": number
}
```

## 응답 요소
<a name="API_GetRecoveryPointIndexDetails_ResponseElements"></a>

작업이 성공하면 서비스가 HTTP 200 응답을 반송합니다.

다음 데이터는 서비스에 의해 JSON 형식으로 반환됩니다.

 ** [BackupVaultArn](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-BackupVaultArn"></a>
복구 시점 인덱스가 저장되는 백업 저장소를 고유하게 식별하는 ARN입니다.  
예를 들어 `arn:aws:backup:us-east-1:123456789012:backup-vault:aBackupVault`입니다.  
유형: 문자열

 ** [IndexCompletionDate](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-IndexCompletionDate"></a>
백업 인덱스가 생성을 완료한 날짜 및 시간(Unix 형식 및 협정 세계시(UTC))입니다. `CreationDate`의 값은 밀리초 단위로 정확합니다. 예를 들어, 1516925490.087이라는 값은 2018년 1월 26일 금요일 오전 12:11:30.087을 나타냅니다.  
유형: 타임스탬프

 ** [IndexCreationDate](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-IndexCreationDate"></a>
백업 인덱스가 생성된 날짜 및 시간(Unix 형식 및 협정 세계시(UTC))입니다. `CreationDate`의 값은 밀리초 단위로 정확합니다. 예를 들어, 1516925490.087이라는 값은 2018년 1월 26일 금요일 오전 12:11:30.087을 나타냅니다.  
유형: 타임스탬프

 ** [IndexDeletionDate](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-IndexDeletionDate"></a>
백업 인덱스가 삭제된 날짜 및 시간(Unix 형식 및 협정 세계시(UTC))입니다. `CreationDate`의 값은 밀리초 단위로 정확합니다. 예를 들어, 1516925490.087이라는 값은 2018년 1월 26일 금요일 오전 12:11:30.087을 나타냅니다.  
유형: 타임스탬프

 ** [IndexStatus](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-IndexStatus"></a>
지정된 복구 시점과 연결된 백업 인덱스의 현재 상태입니다.  
상태는 `PENDING` \$1 `ACTIVE` \$1 `FAILED` \$1 `DELETING`입니다.  
상태가 `ACTIVE`인 인덱스가 있는 복구 시점을 검색에 포함할 수 있습니다.  
타입: 문자열  
유효 값: `PENDING | ACTIVE | FAILED | DELETING` 

 ** [IndexStatusMessage](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-IndexStatusMessage"></a>
복구 시점과 연결된 백업 인덱스의 상태를 설명하는 자세한 메시지입니다.  
유형: 문자열

 ** [RecoveryPointArn](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-RecoveryPointArn"></a>
복구 시점을 고유하게 식별하는 ARN입니다(예: `arn:aws:backup:us-east-1:123456789012:recovery-point:1EB3B5E7-9EB0-435A-A80B-108B488B0D45`).  
유형: 문자열

 ** [SourceResourceArn](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-SourceResourceArn"></a>
소스 리소스를 고유하게 식별하는 Amazon 리소스 이름(ARN)의 문자열입니다.  
유형: 문자열

 ** [TotalItemsIndexed](#API_GetRecoveryPointIndexDetails_ResponseSyntax) **   <a name="Backup-GetRecoveryPointIndexDetails-response-TotalItemsIndexed"></a>
복구 시점과 연결된 백업 인덱스 내의 항목 수입니다.  
타입: Long

## 오류
<a name="API_GetRecoveryPointIndexDetails_Errors"></a>

모든 작업에서 발생하는 일반적인 오류에 대한 자세한 내용은 [일반적인 오류 유형](CommonErrors.md) 섹션을 참조하세요.

 ** InvalidParameterValueException **   
파라미터의 값에 문제가 있음을 나타냅니다. 예를 들어 값이 범위를 벗어난 경우가 이에 해당합니다.    
 ** Context **   
  
 ** Type **   

HTTP 상태 코드: 400

 ** MissingParameterValueException **   
필수 파라미터가 누락되었음을 나타냅니다.    
 ** Context **   
  
 ** Type **   

HTTP 상태 코드: 400

 ** ResourceNotFoundException **   
작업에 필요한 리소스가 존재하지 않습니다.    
 ** Context **   
  
 ** Type **   

HTTP 상태 코드: 400

 ** ServiceUnavailableException **   
요청이 서버의 일시적 장애 때문에 실패했습니다.    
 ** Context **   
  
 ** Type **   

HTTP 상태 코드: 500

## 참고
<a name="API_GetRecoveryPointIndexDetails_SeeAlso"></a>

언어별 AWS SDKs
+  [AWS 명령줄 인터페이스 V2](https://docs.aws.amazon.com/goto/cli2/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS .NET V4용 SDK](https://docs.aws.amazon.com/goto/DotNetSDKV4/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS Go용 SDK v2](https://docs.aws.amazon.com/goto/SdkForGoV2/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS Java V2용 SDK](https://docs.aws.amazon.com/goto/SdkForJavaV2/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS PHP V3용 SDK](https://docs.aws.amazon.com/goto/SdkForPHPV3/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS Python용 SDK](https://docs.aws.amazon.com/goto/boto3/backup-2018-11-15/GetRecoveryPointIndexDetails) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/backup-2018-11-15/GetRecoveryPointIndexDetails) 